package org.eclipse.jdt.internal.compiler.parser;

package .tmp;

import org.eclipse.jdt.core.compiler.InvalidInputException;
import org.eclipse.jdt.internal.compiler.parser.Scanner;

final class VanguardScanner extends Scanner {
  public VanguardScanner(long sourceLevel, long complianceLevel) {
    super(false, false, false, sourceLevel, complianceLevel, null, null, false);
  }
  
  public int getNextToken() throws InvalidInputException {
    if (this.nextToken != 0) {
      int i = this.nextToken;
      this.nextToken = 0;
      return i;
    } 
    int token = getNextToken0();
    if (token == 37 && atTypeAnnotation())
      if (((Scanner.VanguardParser)this.activeParser).currentGoal == Scanner.Goal.LambdaParameterListGoal) {
        token = disambiguatedToken(token);
      } else {
        token = 27;
      }  
    return (token == 60) ? 0 : token;
  }
}
